Skip to main content
`Ctrl`+`K`

# TSGetEvaluationSolutions

Get the number of solutions and the solutions at the evaluation time points specified

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetEvaluationSolutions(TS ts, PetscInt *nsol, const PetscReal *sol_times[], Vec *Sols[])

## Input Parameter

- ts - the `TS` context obtained from `TSCreate()`

## Output Parameters

- nsol - the number of solutions

- sol_times - array of solution times corresponding to the solution vectors. See note below

- Sols - the solution vectors

## Notes

Both `nsol` and `Sols` can be `NULL`.

Some time points in the evaluation points may be skipped by `TS` so that `nsol` is less than the number of points specified by `TSSetEvaluationTimes()`. For example, manipulating the step size, especially with a reduced precision, may cause `TS` to step over certain evaluation times.

Also used to see view solutions requested by `TSSetTimeSpan()`.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetEvaluationTimes()`, `TSGetEvaluationTimes()`

## Level

intermediate

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages